[SciPy-user] OpenOpt errors with ALGENCAN

dmitrey dmitrey.kroshko@scipy....
Mon Jun 2 01:51:48 CDT 2008


OpenOpt has no connection to ALGENCAN 2.0 beta yet, as it is mentioned 
in http://scipy.org/scipy/scikits/wiki/OpenOptTODO

AFAIK 2.0 beta has no Python API. So currently you should use 1.0 
instead. If this one is already unavailable I could attach tarball with 
1.0 to an openopt webpage.
D.

Paul Smith wrote:
> On Jun 1, 10:15 pm, Paul Smith <phh...@gmail.com> wrote:
>   
>> I am trying to run the nlp_1.py example of OpenOpt on F9 with ALGENCAN
>> solver, but getting these errors:
>>
>> ========================
>> starting solver ALGENCAN (license: GPL)  with problem  unnamed
>> Traceback (most recent call last):
>>   File "nlp_1.py", line 109, in <module>
>>     r = p.solve('ALGENCAN')
>>   File "/usr/lib/python2.5/site-packages/scikits/openopt/Kernel/
>> BaseProblem.py", line 230, in solve
>>     return runProbSolver(self, solvers, *args, **kwargs)
>>   File "/usr/lib/python2.5/site-packages/scikits/openopt/Kernel/
>> runProbSolver.py", line 225, in runProbSolver
>>     solver(p)
>>   File "/usr/lib/python2.5/site-packages/scikits/openopt/solvers/
>> BrasilOpt/ALGENCAN_oo.py", line 586, in __solver__
>>
>> algencan.solvers(evalf,evalg,evalh,evalc,evaljac,evalhc,evalhlp,inip,endp)
>> TypeError: solvers() takes exactly 12 arguments (9 given)
>>
>> Any ideas?
>>     
>
> Let me add that I have
>
> $ echo $PYTHONPATH
> /home/psmith/algencan-2.0-beta/bin/py
> $
>
> and therein:
>
> $ dir
> algencan.py  algencan.pyc  pywrapper.so
> $
>
> Paul
> _______________________________________________
> SciPy-user mailing list
> SciPy-user@scipy.org
> http://projects.scipy.org/mailman/listinfo/scipy-user
>
>
>
>   



More information about the SciPy-user mailing list